local wezterm = require("wezterm")
local actions = wezterm.action

local module = {}

module.keys = {
	{
		key = "g",
		mods = "LEADER",
		action = actions.SplitPane({
			direction = "Right",
			command = {
				args = {
					"/bin/zsh",
					"-c",
					"source /Users/jirayu/.env && cat /Users/jirayu/.config/gemini/logo.txt && /Users/jirayu/go/bin/gemini -c '/Users/jirayu/.config/gemini/gemini_cli_config.json' -m 'gemini-2.5-flash'",
				},
			},
			size = { Percent = 37 },
		}),
	},
}

return module
